
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;


// Product Creator (Add Button) Dialog

public class ProductCreator extends JFrame {


	JButton   myAddButton =    	new JButton("Add Product");
	Label	myProduct = 		new Label("new product");
	Label	myDescription = 	new Label("description");
	JTextArea myProductArea =     new JTextArea();
	JTextArea myDescriptionArea = new JTextArea();
	JPanel    myButtonPanel =  	new JPanel();
	JPanel    myAreaPanel =    	new JPanel();

	public ProductCreator(final ProductCatalog catalog, final JList myList) {
		super("ProductCreator");
		setSize(400,200);


		/* ALL CALLBACK FUNCTIONS FOR EVENT-HANDLING */
		myAddButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Product new_product = new Product(myProductArea.getText());
				new_product.setDescription(myDescriptionArea.getText());
				myProductArea.setText("");
				myDescriptionArea.setText("");
				catalog.addProduct(new_product);
				myList.setListData(catalog.getPIDs());
				dispose();
			}
		} );

		// SWING ------------

		myButtonPanel.setLayout(new GridLayout(1,1));
		myButtonPanel.add(myAddButton);

		myAreaPanel.setLayout(new GridLayout(2,2));
		myAreaPanel.add(myProduct);
		myAreaPanel.add(myProductArea);
		myAreaPanel.add(myDescription);
		myAreaPanel.add(myDescriptionArea);


		getContentPane().setLayout(new GridLayout(2,1));
		getContentPane().add(myAreaPanel);
		getContentPane().add(myButtonPanel);

	}
}





