
import java.util.*;


public class SimpleProductCatalog implements ProductCatalog {

	private Set c_products;


	SimpleProductCatalog() {
		c_products = new HashSet();
	}



	public void addProduct(Product product) {
		c_products.add(product);
	}

	public void removeProduct(Product product) {
		c_products.remove(product);
	}

	public Set getProducts() {
		return c_products;
	}

	public Product getProduct(String pid) {
		Product p;
		Iterator it = getProducts().iterator();
		while (it.hasNext()) {
			if (pid.equals((String) ((p = (Product)it.next())).getPID() )) {
				try {
					return p;
				}
				catch (NoSuchElementException e) {
					System.out.println("TEST1");
				}
			}
		}
		return new Product("ERROR");
	}

	public String [] getPIDs() {
		Iterator it = getProducts().iterator();
		Set allPIDs = new HashSet();

		while (it.hasNext())
			allPIDs.add( (String) ((Product)(it.next())).getPID() );
		// Create an array containing the elements in the set (in this case a String array)
 		return (String[]) allPIDs.toArray(new String[allPIDs.size()]);
	}

}
